kas statistics             AFS Commands          kas statistics


NAME

   kas     statistics -- display     statistics    from    one

                       Authentication Server process.


   kas statistics
   [-admin_username <admin principal to use for
   authentication>]
   [-password_for_admin <admin password>]  [-cell <cell name>]
             [-servers <explicit list of authentication
           +
   servers> ]
   [-noauth]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   kas sta  [-a <admin principal to use for authentication>]
   [-p <admin password>]  [-c <cell name>]
                                                +
   [-s <explicit list of authentication servers> ]  [-n]  [-h]

DESCRIPTION

   Displays statistics from one of the cell's  database  server
   machines.  It is recommended that the issuer use -servers to
   specify  one  machine  name.      Otherwise,   the   command
   interpreter  displays  statistics  for  a  machine chosen at
   random from all the database server machines with  which  it
   has established connections.

WARNING

   If  this  command  is  issued in interactive mode, it is not
   possible to  specify  a  file  server  machine  because  the
   -servers   argument  is  inoperative.    If  the  issuer  is
   interested in a particular file server machine, it  is  best
   to leave interactive mode.

ARGUMENTS

   -admin_username specifies  the  user  name  under  which the
                   issuer wishes to perform the  command.    If
                   the  issuer does not provide it, the current
                   identity is used.  See section  4.3  in  the
                   Reference    Manual    for   more   details.
                   -password_for_admin
                   specifies  the issuer's password.  Note that
                   provided here the password is visible on the
                   screen.   If the issuer does not provide it,
                   it will be prompted for and not  be  visible
                   on  the  screen.    See  section  4.3 in the
                   Reference Manual for more details.  -cell
                   specifies  the  cell  in  which  to  run the
                   command, if not the local cell.  See section
                   4.3   in   the  Reference  Manual  for  more
                   details.  -servers
                   specifies  the  database  server  machine(s)
                   with which to establish a connection.  It is
                   recommended   that   the   issuer  use  this



                   argument and specify a single machine.

   -noauth         establishes  an  unauthenticated  connection
                   between   the   Authentication  Servers  and
                   issuer, whom they  assign  the  unprivileged
                   identity  anonymous  rather  than attempting
                   mutual authentication.  See section  4.3  in
                   the   Reference  Manual  for  more  details.
                   -help
                   prints the online help for this command.  Do
                   not provide any  other  arguments  or  flags
                   with  this  one.    See  section  4.3 in the
                   Reference Manual for more details.

OUTPUT

   The information includes:

      - server's network address number and  last  startup
        date

      - number   of  requests  and  aborted  requests  for
        various   services:      authentication,    ticket
        granting, password setting, entry listing, etc

      - number of entries with ADMIN flag

EXAMPLE

   The  following show the output when someone authenticated as
   the  privileged  user  admin  issues  this   command   about
   fs1.transarc.com.

       % kas stat -s fs1.transarc.com
       56 allocs, 46 frees, 0 password changes
       Hash table utilization = 0.100000%
       From host c037cf05 started at Tue Mar 20 12:42:02 19
         of 88 requests for Authenticate, 18 were aborted.
         of 14 requests for GetTicket, 0 were aborted.
         of 4 requests for CreateUser, 1 were aborted.
         of 12 requests for SetFields, 4 were aborted.
         of 3 requests for DeleteUser, 0 were aborted.
         of 23 requests for GetEntry, 4 were aborted.
         of 18 requests for ListEntry, 0 were aborted.
         of 2 requests for GetStats, 1 were aborted.
         of 2 requests for GetRandomKey, 0 were aborted.
       Used 6.015 seconds of CPU time.
       1 admin accounts

PRIVILEGE REQUIRED

   Issuer   must  have  the  ADMIN  flag  set  in  his  or  her
   Authentication Database entry.

MORE INFORMATION

   kas debuginfo
